Bug 43093 - Area3DEval in formulas always refers to current sheet
Area3DEval in formulas always refers to current sheet
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSSF
3.0-FINAL
All All
: P2 major (vote)
: ---
Assigned To: POI Developers List
: PatchAvailable
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-08-11 11:51 UTC by apache
Modified: 2007-08-15 06:58 UTC (History)
1 user (show)



Attachments
WinZip file with example for Unit Test & Code Snippet of patch (1.52 KB, application/octet-stream)
2007-08-11 12:10 UTC, apache
Details
The Patch! (1.75 KB, patch)
2007-08-12 01:56 UTC, apache
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description apache 2007-08-11 11:51:59 UTC
References to areas in other Sheets (so called Area3DEval's) are resolved from
the current Sheet instead of the referenced Sheet.
I have a 4-line patch for this to the following Method...
HSSFFormulaEvaluator.internalEvaluate(...)
I have also coded an example program.
Comment 1 apache 2007-08-11 12:10:45 UTC
Created attachment 20648 [details]
WinZip file with example for Unit Test & Code Snippet of patch

Sorry I don't have access to Subversion,
so please find the 4 lines marked DL
in the enclosed Java Source Snippet.
The patch is thoroughly tested.
Comment 2 apache 2007-08-12 01:56:12 UTC
Created attachment 20650 [details]
The Patch!
Comment 3 Nick Burch 2007-08-15 06:58:16 UTC
Thanks for that, fix and testcase committed to svn